#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# sheep_are_friends.mcfunction | Disable Nether Portal and revoke the Advancement.
#                              | Called by 'Sheep are our Friends' Advancement
#

# Protect Player inventory in case death happens.
gamerule keepInventory true
scoreboard players set @a xph_inventory 10

# Heal/Protect nearby sheep.
execute at @s run effect give @e[type=minecraft:sheep,distance=..10] minecraft:resistance 1200 4 true
execute at @s run effect give @e[type=minecraft:sheep,distance=..10] minecraft:fire_resistance 1200 4 true
execute at @s run effect give @e[type=minecraft:sheep,distance=..10] minecraft:regeneration 1200 4 true

# Punish Player for harming Sheep, but don't burn them...
execute as @s run effect give @s minecraft:fire_resistance 10 0 true
execute as @s run summon minecraft:lightning_bolt ~ ~ ~
tellraw @s ["",{"text":"Remember the rules!","italic":true,"color":"white"},{"text":"\n5) Do not harm sheep."}]

# Revoke Advancement (make repeatable).
advancement revoke @a only xiphias:other/a05_sheep_are_friends

# END OF LINE.