#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# red_wool.mcfunction | Award the active player and share the Advancement with other players.
#                     | Called by 'Place the Red Wool' Advancement
#

# Display Current Gameplay Stats
execute as @a run function xiphias:_chicken_lunch

# Loot Chest Lv3
tellraw @s ["",{"text":"Loot Chest Lv3 Given","color":"aqua"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 3\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv3"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for Potion Effects and Win Condition, Tag: red_wool
tag @s add red_wool

# Award Advancement to other players.
advancement grant @a only xiphias:wool/b07_red_wool

# END OF LINE.