#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# to_a1.mcfunction | Teleport all players to area 1.
#                  | Called by in-game commandblock (186,168,1618)
#

#   Reset score values for area 1
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 1
scoreboard players set @a xph_location_id 1

#   Location specific settings for area 1
time set day
gamerule randomTickSpeed 12
setworldspawn 160 203 205
#worldborder center 200 200
#worldborder damage amount 0
#worldborder warning distance 0

#   Teleport players to area 1
spreadplayers 160 205 3 1 false @a
playsound minecraft:item.chorus_fruit.teleport player @a ~ ~ ~ 1 .75 1
execute at @a run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @a
#worldborder set 301 0

#   Player Messages
title @a times 20 100 20
title @a subtitle ["",{"text":"Exclusive Materials: "},{"text":"Wood","color":"green"},{"text":", "},{"text":"Leather","color":"green"},{"text":", "},{"text":"Gold","color":"green"}]
title @a title {"text":"Hacienda","color":"aqua"}
tellraw @a {"text":"Crouch for 5 seconds without moving to return to the map hub.","italic":true}

# END OF LINE.