#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# world_class_food.mcfunction | Award the active player and share the Advancement with other players.
#                             | Called by 'World Class Food' Advancement
#

# Loot Chest Lv2, Golden Carrot
tellraw @s ["",{"text":"Loot Chest Lv2 Given\n","color":"aqua"},{"text":"Golden Carrot Recipe Unlocked","color":"yellow"}]
# playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 2\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv2"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for other Advancements, Tag: world_class_food
tag @s add world_class_food

# Award Advancement to other players.
# /Awarded based on Tags: foods_of_hacienda, foods_of_truskeia & foods_of_bahreev/

# END OF LINE.